Package Details: feishin 0.12.3-1

Git Clone URL: https://aur.archlinux.org/feishin.git (read-only, click to copy)
Package Base: feishin
Description: A modern self-hosted music player.
Upstream URL: https://github.com/jeffvli/feishin
Keywords: jellyfin music navidrome player subsonic
Licenses: GPL-3.0-only
Conflicts: feishin-bin, feishin-git
Submitter: TheDL98
Maintainer: TheDL98
Last Packager: TheDL98
Votes: 2
Popularity: 0.51
First Submitted: 2024-09-07 06:00 (UTC)
Last Updated: 2025-03-10 16:49 (UTC)

Dependencies (3)

Required by (0)

Sources (2)

Latest Comments

Dlani commented on 2025-02-10 13:09 (UTC) (edited on 2025-02-10 13:11 (UTC) by Dlani)

Copypasted from vscodium package, because package isn't building with latest version of nodejs. Installing nodejs-lts-iron also works.

diff --git a/PKGBUILD b/PKGBUILD
index 4bd8542..e1f4554 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -17,9 +17,37 @@ sha256sums=('SKIP'

 build() {
   cd $pkgname
+
+  command -v nvm >/dev/null && nvm deactivate && nvm unload
+  export NVM_DIR="${srcdir}/.nvm"
+  source /usr/share/nvm/init-nvm.sh || [[ $? != 1 ]]
+
+  echo "18.20.5" > .nvmrc
+
+  # Install the correct version of NodeJS (read from .nvmrc)
+  nvm install "$(cat .nvmrc)"
+  nvm use
+
+  # Check if the correct version of node is being used
+  nvmrc_version="$(cat .nvmrc)"
+  if [[ "$nvmrc_version" != "v"* ]]
+  then
+    # Add the v prefix, because it seems to be missing in .nvmrc
+    echo "Configured .nvmrc version is [$nvmrc_version], adding the v prefix before checking if it matches with the node command."
+    nvmrc_version="v$nvmrc_version"
+  fi
+
+  # Now check if the version matches exactly, or at least starts with the same prefix
+  if [[ "$(node --version)" != "$nvmrc_version"* ]]
+  then
+    echo "Using the wrong version of NodeJS! Expected ["$nvmrc_version"] but using ["$(node --version)"]."
+    exit 1
+  fi
+  echo "Installed version of node ["$(node --version)"] matches required version ["$nvmrc_version"], continuing."
+
   export npm_config_cache="$(mktemp -d)"
   npm install --legacy-peer-deps
-  npm run package
+  npm run package:dev
   rm -rf "$npm_config_cache"
 }

TheDL98 commented on 2024-10-14 17:25 (UTC)

The current version of npm 10.9.0 fails to build the project. Version 10.8.3 works fine. This is the error:

==> Starting build()...
npm error Invalid property "node"
npm error A complete log of this run can be found in: /tmp/tmp.Qn2rqwAnJi/_logs/2024-10-14T17_23_52_330Z-debug-0.log
==> ERROR: A failure occurred in build().
    Aborting...
 -> error making: feishin-exit status 4